Using Custom Query Parameters
The API allows you to include additional query parameters to filter results of specific columns based on themetrics parameter and rows based on the row_filter_column parameter.
Note: Details onrow_filter_columnare below.
Examples of Usage
Here are some examples to demonstrate how to use custom attributes effectively:-
Filter by metrics only
If you want to retrieve specific metrics such aspeak_eventandpeak_power: -
Filter by metrics and row_filter_column
You can combine metrics and row_filter_column to refine your search further. For example, if you want to retrieve the row ofpeak_eventandpeak_powerfor thecuttingmovement at theturn_eventequal to 0:
Important Notes
-
Metrics Availability:
Verify that all requested metrics exist in the dataset before filtering. If any specified metric is not available, the export data job will fail. Check theerrorMessagein the response for details about any non-existent columns when using themetricsparameter.On the summary data access level, a metric that exists only in the full dataset is rejected up front with a400on thePOST /data/exportcall — “One or more requested metrics are only available with full data access…” — rather than as an asynchronousFAILEDjob. See Data access level. -
Row Filter Column:
Ensure the specified row filter column exists in the export data. If the column doesn’t exist, the export data job will fail. The responseerrorMessagewill indicate the column specified in therow_filter_columnparameter is invalid. Note that row filtering only supports values equal to 0. In theory, only a single row is returned for each session. If no rows have a value of 0 for the specified row filter column, the query may return an empty result set. On the summary data access level,row_filter_columnis not applicable — a summary export is already one row per capture — so it is rejected up front with a400on thePOST /data/exportcall (“The row_filter_column parameter is not applicable on the summary data tier…”) rather than running the export.